[Mplayer-cvslog] CVS: main configure,1.203,1.204
pl
pl at mplayer.dev.hu
Thu Oct 25 13:46:52 CEST 2001
Update of /cvsroot/mplayer/main
In directory mplayer:/var/tmp.root/cvs-serv16227
Modified Files:
configure
Log Message:
added irix64()
original patch for irix64 by Martin Decky - slightly modified
replaced a "$_cc blah" by "cc_check" (SGI audio)
Index: configure
===================================================================
RCS file: /cvsroot/mplayer/main/configure,v
retrieving revision 1.203
retrieving revision 1.204
diff -u -r1.203 -r1.204
--- configure 24 Oct 2001 22:41:17 -0000 1.203
+++ configure 25 Oct 2001 11:46:50 -0000 1.204
@@ -1,4 +1,4 @@
-#!/bin/sh
+#! /bin/sh
#
# MPlayer configurator. (C) 2000 Pontscho/fresh!mindworkz
@@ -146,6 +146,10 @@
freebsd || openbsd || bsdos
return "$?"
}
+irix64() {
+ test "$system_name" = "IRIX64"
+ return "$?"
+}
# Check how echo works in this /bin/sh
@@ -395,13 +399,12 @@
# --- Check for C compiler:
if test -z "$_x11libdir" ; then
- if test -d /usr/X11R6 ; then
- _x11libdir=-L/usr/X11R6/lib
- else
- if test -d /usr/X11 ; then
- _x11libdir=-L/usr/X11/lib
- fi
- fi
+ for I in /usr/X11R6 /usr/X11 /usr/lib32 ; do
+ if test -d "$I" ; then
+ _x11libdir="-L$I"
+ break;
+ fi
+ done
fi
if test -z "$_x11incdir" ; then
@@ -887,7 +890,10 @@
cc_check $_extraincdir $_extralibdir -ltermcap && _termcap=yes
_png=no
-cc_check $_extraincdir $_extralibdir -lpng -lz -lm && _png=yes
+if test ! irix64 ; then
+ # Don't check for -png on irix
+ cc_check $_extraincdir $_extralibdir -lpng -lz -lm && _png=yes
+fi
_vorbis=no
cc_check $_extraincdir $_extralibdir -lvorbis -lm && _vorbis=yes
@@ -1149,6 +1155,7 @@
# ---
# try to detect type of audio supported on this machine
+
# check for OSS audio
cat > $TMPC << EOF
#include <sys/soundcard.h>
@@ -1158,16 +1165,6 @@
cc_check && _oss_audio=yes
-# check for SUN audio
-cat > $TMPC << EOF
-#include <sys/types.h>
-#include <sys/audioio.h>
-int main( void ) { audio_info_t info; AUDIO_INITINFO(&info); }
-EOF
-_sun_audio=no
-cc_check && _sun_audio=yes
-
-
# check for ALSA audio: 0.5.x then 0.9.x
if test "$_alsa" = yes ; then
_alsaver=no
@@ -1195,14 +1192,25 @@
EOF
cc_check $_extraincdir $_extralibdir -lesd || _esd=no
+
+# check for SUN audio
+cat > $TMPC << EOF
+#include <sys/types.h>
+#include <sys/audioio.h>
+int main( void ) { audio_info_t info; AUDIO_INITINFO(&info); }
+EOF
+_sun_audio=no
+cc_check && _sun_audio=yes
+
+
# check for SGI audio
cat > $TMPC << EOF
#include <dmedia/audio.h>
int main( void ) { return 0; }
EOF
-
_sgi_audio=no
-$_cc -o $TMPO $TMPC 2> /dev/null && _sgi_audio=yes
+cc_check && _sgi_audio=yes
+
# check for mad library
cat > $TMPC << EOF
More information about the MPlayer-cvslog
mailing list